Subject: [Supa] about the query operation//RE: Fwd: I-D Action: draft-strassner-supa-generic-policy-info-model-04.txt

From: Zhoutianran <[email-masked]>
Date: Fri, 18 Mar 2016 08:32:16 +0000

- page 14:

    In this context, "manage" means that at least create, read,
    query, update, and delete functions are supported.

   Is there a difference between "read" an "query"
   is CRUD not enough?

<jcs>
"Read" is, at least to me, a simple command to provide a result. In contrast,
"Query" is a more complex operation that may involve pre- and/or post-
processing of the results of the operation.

Note that many people think of SQL as a query language; in that case, the
definition of query expands to include data definition, data control, and data
manipulation languages.

Would you like the above text included?
</jcs>

Here I am still not clear about the query operation.
I think SQL is as a  query language becouse the major feature is query. And after all it's only the name of a langage.
It does not mean query includes data definition, data control, and data manipulation.

Come to this draft, do you have any concrete example to show what you suppose to do for the query operation?

--Tianran